Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Order cards API

Order cards

post
/issuers/{issuerId}/physicalCards/produce

This API is used by the issuer backend to order a batch of physical cards.

Version 20260626 (4.1) changes

  • updated the path

  • cardProductId mandatory

Version 20260702 (4.2) changes

  • Added chipData

  • Added serviceCode

  • Added track2EquivalentData

  • Added trackingNumber

Authorizations
AuthorizationstringRequired

Requires OAuth2 access token obtained via the D1 OAuth2 API.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

Header parameters
x-correlation-idstringOptional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Body

List of cards to be produced in a single request

Responses
202

Successful card orders

application/json

Operation information.

operationIdstring · min: 1 · max: 64Required

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
post/issuers/{issuerId}/physicalCards/produce
POST /banking/v1/issuers/{issuerId}/physicalCards/produce HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1245

{
  "cards": [
    {
      "cardId": "text",
      "distributionChannel": "THALES",
      "consumerId": "text",
      "cardProductId": "text",
      "issuerRequestId": "01c5a05e-e197-11ec-8fea-0242ac120002",
      "services": {
        "issuance": "RENEWAL",
        "priority": "P1",
        "delivery": "DHL",
        "packaging": "welcome_pack_red",
        "cardCarrier": "NO_CARRIER",
        "pinMailer": false,
        "alphaCard": false
      },
      "encryptedData": "text",
      "cardDesign": {
        "images": [
          "image_1",
          "image_2"
        ],
        "customLines": [
          "Custom text 1",
          "Custom text 2"
        ],
        "cardImage": "3krr0g1r5",
        "artworkId": "text",
        "memberId": "123456789"
      },
      "paymentApplication": {
        "config": "default",
        "odaKeyIndex": "01",
        "derivationKeyIndex": "01",
        "pvKeyIndex": "01",
        "cvKeyIndex": "01"
      },
      "cardCarrierConfig": {
        "language": "EN",
        "images": [
          "image_1",
          "image_2"
        ],
        "customLines": [
          "Custom text 1",
          "Custom text 2"
        ],
        "multiCardId": "cmp7m3zdf12qj",
        "multiCardOrder": "1"
      },
      "packagingConfig": {
        "inserts": [
          "promo_card",
          "manual_v2"
        ]
      },
      "shipment": {
        "type": "INDIVIDUAL",
        "deliveryAddress": {
          "title": "Mr.",
          "firstName": "John",
          "lastName": "Smith",
          "companyName": "Thales",
          "line1": "Street #1",
          "line2": "Street #2",
          "line3": "Street #3",
          "city": "London",
          "state": "text",
          "zipCode": "WC2N 5DU",
          "countryCode": "GB",
          "mobilePhoneNumber": {
            "countryCode": "+420",
            "phoneNumber": "777222333"
          },
          "email": "john.doe@dummymail.com"
        },
        "trackingNumber": "TRK123456789"
      }
    }
  ]
}
{
  "operationId": "text"
}

encryptedData

Last updated

Was this helpful?